# wrap-comment

`wrap-comment` is a little binary which will word-wrap comments in source code.

In:

```elm
-- this is a pretty long comment, right? I'd like it to be nicely formatted, mostly to please my sense of aesthetics, but also to fit nicely in blog posts and the like without adding line-wrapping properties that make my code look weird when printed or asking my reader having to scroll back and forth horizontally.
```

Out:

```elm
-- this is a pretty long comment, right? I'd like it to be nicely formatted,
-- mostly to please my sense of aesthetics, but also to fit nicely in blog
-- posts and the like without adding line-wrapping properties that make my
-- code look weird when printed or asking my reader having to scroll back and
-- forth horizontally.
```

## Getting it

Once this software is done (it's not even close!) get it by cloning and running `nix-env -if .` in the root.
Since I'm writing this mostly for me, I don't plan on compiling binaries, hosting them, signing them, etc.

## License

`wrap-comment` is being developed in the open but is not open-source.
To be honest, though, this is just because I don't want to pick a license right now.
If you need this code for something, please let me know and we'll figure it out.
