{ ... }:
let
  sources = import ./nix/sources.nix;

  nixpkgs = import sources.nixpkgs { };

  niv = import sources.niv { };
in with nixpkgs;
stdenv.mkDerivation {
  name = "wrap-comment";
  buildInputs = [
    niv.niv
    git

    # rust
    cargo
    rustc
    rustfmt
    cargo-watch
    rustPackages.clippy
  ];
}
